<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
	
<style>
.fixedSizeWineCard,.fixedCountWineCard{
	width:400px;
	display:inline-block;
}
#diySizeWineCard,#diyCountWineCard{
	width:400px;
	display:inline-block;
}
.fixedSizeWineCard .layui-input,.fixedCountWineCard .layui-input{
	width:100%
}
.fixedSizeWineCard .layui-edge,.fixedCountWineCard .layui-edge{
	right:0px
}
</style>
<input type="hidden" name="proTypeValue" class="layui-input" value="存酒卡">
<p>材质</p>
<div class="layui-form-item">
	<input type="radio" name="kindValue" lay-filter="kindValue" value="2" title="300克铜版纸">
</div>
<p>
	规格	
</p>
<div class="layui-form-item fixedSizeWineCard">
	<select name="size" id="fixedSizeWineCard" class="select">
		<option value="18*5.4">18*5.4 cm</option>
	</select>
</div>
<span class="diySizeWineCard" style="display:none">
	<input type="text" name="size" id="diySizeWineCard" placeholder="格式:长*宽" class="layui-input" autocomplete="off">
</span>
<input type="checkbox" name="switchSize" class="switchSizeWineCard" lay-filter="switchSizeWineCard" title="自定义尺寸" lay-skin="primary">
<span style="font-size:14px;color:red">输入格式: 长 * 宽</span> 
<p>
	数量（张）
</p>
<div class="layui-form-item fixedCountWineCard">
	<select name="count" class="select">
		<option value="200">200</option>
		<option value="500">500</option>
		<option value="1000">1000</option>
		<option value="2000">2000</option>
		<option value="5000">5000</option>
		<option value="10000">10000</option>
	</select>
</div>
<span class="diyCountWineCard" style="display:none">
	<input type="text" name="count" id="diyCountWineCard" placeholder="请输入整数" autocomplete="off"
		 class="layui-input" lay-verify="number">
</span>
<input type="checkbox" name="switchCount" lay-filter="switchCountWineCard" title="自定义数量" lay-skin="primary">
<p>款数</p>
<div class="layui-form-item">
	<input type="text" placeholder="请输入整数" autocomplete="off" name="number"
		id="numberWineCard" value="1" class="layui-input" lay-verify="number">
</div>
<p>
	客户旺旺
</p>
<div class="layui-form-item">
	<input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
</div>
<script>
	layui.use(['table','form'], function(){    
	    var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
	    var table = layui.table;
	    
	    
	    $('.switchSizeWineCard').val("off")
		// 自定义尺寸
		form.on('checkbox(switchSizeWineCard)', function(data) {
			if(data.elem.checked){
				 $('.switchSizeWineCard').val("on")
				$(".diySizeWineCard").show();
				$(".fixedSizeWineCard").hide();
				$(".diySizeWineCard").find(":input").attr("disabled", false);
				$(".fixedSizeWineCard").find(":input").attr("disabled", true);
			} else {
				 $('.switchSizeWineCard').val("off")
				$(".fixedSizeWineCard").show();
				$(".diySizeWineCard").hide();
				$(".fixedSizeWineCard").find(":input").attr("disabled", false);
				$(".diySizeWineCard").find(":input").attr("disabled", true);
				// 恢复标准数量的时候会被禁用，加这个解决
				form.render();
			}
		})
		
		// 自定义數量
		form.on('checkbox(switchCountWineCard)', function(data) {
			if(data.elem.checked){
				$(".diyCountWineCard").show();
				$(".fixedCountWineCard").hide();
				$(".diyCountWineCard").find(":input").attr("disabled", false);
				$(".fixedCountWineCard").find(":input").attr("disabled", true);		
			} else {
				$(".fixedCountWineCard").show();
				$(".diyCountWineCard").hide();
				$(".fixedCountWineCard").find(":input").attr("disabled", false);
				$(".diyCountWineCard").find(":input").attr("disabled", true);
			}
			// 恢复标准数量的时候会被禁用，加这个解决
			form.render();
		})
	})
</script>